Subject: Re: [V#2 PATCH 0/18] netdevice: Fix directly reference of netdev->priv

From: Wang Chen <[email-masked]>
Date: Fri, 05 Sep 2008 11:42:32 +0800

Wang Chen said the following on 2008-9-5 11:06:
> We have some reasons to kill netdev->priv:
> 1. netdev->priv is equal to netdev_priv().
> 2. netdev_priv() wraps the calculation of netdev->priv's offset, obviously
>    netdev_priv() is more flexible than netdev->priv.
> But we cann't kill netdev->priv now, because so many drivers reference to it
> directly.
> 
> OK, becasue Dave S. Miller said, "every direct netdev->priv usage is a bug",
> and I want to kill netdev->priv later, I decided to convert all the direct
> reference of netdev->priv first.
> 
> - Patch 1-4 are the safe convert which I believe will not make "after converted " worse
>   than "before converted".
>   Originally, I put this kind of convert in one mail, but it's too big for vger.
>   So I split it to 4 parts and make every part smaller than 100,000 bytes,
>   which is max size allowed by vger.
> 
> - Patches 5-18 need comments. Since the value of netdev->priv is changed in drivers
>   and I use netdev->ml_priv to replace netdev->priv.
> 

v1->v2:

- Jeff pointed out some patch's subject is not same as content. fixed.
- Remove sfc driver fix, because it's already merged.
- I split safe convertion to 18 parts in version-1, but I split to 4 parts here.